/* Foldroid - Mail Folder Selection Tool
 * Copyright (C) 2000-2010 Stefan Westerfeld
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General
 * Public License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef __FST_CONFIG_H
#define __FST_CONFIG_H

#include <vector>
#include <string>

namespace Foldroid {

struct FolderConfig
{
  std::string filename;
  std::string label;
};

class Config {
private:
  std::string               m_filename;

  std::string               m_folder_dir;
  std::vector<FolderConfig> m_folders;
  std::string               m_open_command;

  void add_folders (const std::string& filename, const std::string& label);

public:
  Config (const std::string& filename);

  std::string open_command();
  std::vector<FolderConfig> folders();
};

};
#endif /* __FST_CONFIG_H */
/* vim:set ts=8 sw=2 sts=2: */
