/* Foldroid - Mail Folder Selection Tool
 * Copyright (C) 2000-2010 Stefan Westerfeld
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General
 * Public License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef __FOLDROID_H__
#define __FOLDROID_H__

#include <curses.h>
#include <menu.h>
#include <malloc.h>
#include <string.h>
#include <unistd.h>
#include <vector>
#include <string>
#include "fddconfig.h"
#include "fddscan.h"
#include "fddfolderthread.h"

namespace Foldroid {
class UserInterface {
private:
  Scan                      m_scan;
  Config                    m_config;

  ITEM                    **m_my_items;
  std::vector<std::string>  m_item_filename;
  MENU                     *m_my_menu;
  WINDOW                   *m_my_menu_win;
  int                       m_n_choices;

  void print_in_middle (WINDOW *win, int starty, int startx, int width, const char *string, chtype color);

  void build_menu (const std::string& selected_filename);
  std::string free_menu();
  void init_curses();

public:
  static std::string default_config();

  UserInterface();
  void print_status(const char *status);

  int main();
};
}

#endif /* __FST_H__ */
